Subject: Re: [PATCH V2 09/12] net/eipoib: Add main driver functionality

From: [email-masked] (Eric W. Biederman)
Date: Mon, 06 Aug 2012 20:33:06 -0700

[email-masked] (Eric W. Biederman) writes:

> Ali Ayoub <[email-masked]> writes:
>
>> Among other things, the main benefit we're targeting is to allow IPoE
>> traffic within the VM to go through the (Ethernet) vBridge down to the
>> eIPoIB PIF, and eventually to IPoIB and to the IB network.

Oh yes.  It just occurred to me there is huge problem with eIPoIB as
currently presented in these patches.  It breaks DHCPv4 the same way
it breaks ARP, but DHCPv4 is not fixed up.

I am stunned to to realize there has been so much push for a solution
that doesn't even support dhcp.

How can anyone possibly argue that eIPoIB works or is useful?  I just
can't imagine.

Totally stunned,
Eric